Bug 23017 - RFE: Split message for easier translation
RFE: Split message for easier translation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: authconfig (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Florence Beta-3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-29 22:08 EST by Christian Rose
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-29 22:08:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2000-12-29 22:08:56 EST
This message from authconfig is way to long for easy translation. It is
almost impossible to spot changes! (I've found the changes now, yes, but I
had to examine it for a very long time to make sure there were no other
minor changes in this giant message).

My suggestion would be to split up the message in several messages, maybe
one for each group of options, and mark each of them for translation. That
would make maintaining the translation so much easier.


#: ../authconfig.c:642
#, c-format
msgid ""
"Usage: %s [options]\n"
"\n"
"     --useshadow\n"
"     --enableshadow             enable shadow passwords by default\n"
"     --disableshadow            disable shadow passwords by default\n"
"     --enablemd5                enable MD5 passwords by default\n"
"     --disablemd5               disable MD5 passwords by default\n"
"\n"
"     --enablenis                enable NIS\n"
"     --disablenis               disable NIS\n"
"     --nisdomain <domain>       default NIS domain\n"
"     --nisserver <server>       default NIS server\n"
"\n"
"     --enableldap               enable ldap for user information by default\n"
"     --disableldap              disable ldap for user information by "
"default\n"
"     --enableldaptls            enable use of TLS with ldap\n"
"     --disableldaptls           disable use of TLS with ldap\n"
"     --enableldapauth           enable ldap for authentication by default\n"
"     --disableldapauth          disable ldap for authentication by default\n"
"     --ldapserver <server>      default LDAP server\n"
"     --ldapbasedn <dn>          default LDAP base DN\n"
"\n"
"     --enablekrb5               enable kerberos authentication by default\n"
"     --disablekrb5              disable kerberos authentication by default\n"
"     --krb5kdc <server>         default kerberos KDC\n"
"     --krb5adminserver <server> default kerberos admin server\n"
"     --krb5realm <realm>        default kerberos realm\n"
"\n"
"     --enablehesiod             enable hesiod for user information by "
"default\n"
"     --disablehesiod            disable hesiod for user information by "
"default\n"
"     --hesiodlhs <lhs>          default hesiod LHS\n"
"     --hesiodrhs <rhs>          default hesiod RHS\n"
"\n"
"     --nostart                  do not start/stop ypbind\n"
"     --kickstart                don't display user interface\n"
"     --help                     show this screen\n"
msgstr ""
Comment 1 Nalin Dahyabhai 2001-01-10 18:50:53 EST
Should be fixed as of 4.0.25 and later.

Note You need to log in before you can comment on or make changes to this bug.